import { request } from '@@/plugin-request/request';
import { stringify } from 'qs';

/**
 * 查询角色列表
 * @param param
 */
export async function queryRole(param: object) {
  return request(`/web/v1/roles?${stringify(param)}`);
}

/**
 * 用户管理的角色列表查询
 * @param param
 */
export async function queryRoleList(param: object) {
  return request(`/web/v1/roles/list?${stringify(param)}`);
}

/**
 * 删除角色
 * @param record_id
 */
export async function delRole(record_id: any) {
  return request(`/web/v1/roles/${record_id}`, {
    method: 'DELETE',
  });
}

/**
 * 新增角色
 * @param params
 */
export async function createRole(params: object) {
  return request(`/web/v1/roles`, {
    method: 'POST',
    data: params,
  });
}

/**
 * 编辑角色
 * @param params
 */
export async function editRole(params: any) {
  return request(`/web/v1/roles/${params.record_id}`, {
    method: 'PUT',
    data: params,
  });
}
